/*
 * alloc_imgent.c
 * Alloc a IMGENT struct
 * bgrot project
 * $Fuller: myprograms/bgrot/common/mem/alloc_imgent.c,v 1.5 2003/03/23 14:53:37 fullermd Exp $
 */

#include <stdlib.h>

#include <bgrot.h>
#ifdef BGROTD
#include <bgrotd.h>
#endif


/* alloc_imgent(): Alloc a IMGENT struct */
IMGENT *
alloc_imgent(void)
{
	IMGENT *toret;

	/* Warm up */
	toret = calloc(1, sizeof(IMGENT));
	if(toret==NULL)
		return(NULL);

	toret->fname=NULL;

	return(toret);
}
