/*
 * alloc_index_ent.c
 * Alloc a INDEX_ENT struct
 * bgrot project
 * $Fuller: myprograms/bgrot/common/mem/alloc_index_ent.c,v 1.4 2003/03/23 14:53:37 fullermd Exp $
 */

#include <stdlib.h>

#include <bgrot.h>
#ifdef BGROTD
#include <bgrotd.h>
#endif


/* alloc_index_ent(): Alloc a INDEX_ENT struct */
INDEX_ENT *
alloc_index_ent(void)
{
	INDEX_ENT *toret;

	/* Warm up */
	toret = calloc(1, sizeof(INDEX_ENT));
	if(toret==NULL)
		return(NULL);

	toret->title=NULL;
	toret->longdesc=NULL;
	toret->filename=NULL;

	toret->id=0;

	return(toret);
}
