/*
 * free_index_ent.c
 * Free a INDEX_ENT struct
 * bgrot project
 * $Fuller: myprograms/bgrot/common/mem/free_index_ent.c,v 1.4 2003/03/23 14:53:37 fullermd Exp $
 */

#include <stdlib.h>

#include <bgrot.h>
#ifdef BGROTD
#include <bgrotd.h>
#endif


/* free_index_ent(): Free a INDEX_ENT struct */
void
free_index_ent(INDEX_ENT *tofree)
{
	if(tofree == NULL)
		return;

	free(tofree->title);
	free(tofree->longdesc);
	free(tofree->filename);
	free(tofree);
}
