# Convert a bmake Makefile to a gmake Makefile
# $Fuller: myprograms/bgrot/tools/mkgmake.awk,v 1.6 2003/04/11 07:28:13 fullermd Exp $

# Special variables with different names
{ gsub("\\${>}", "${^}", $0); }

# Meta-directives
/^.include/ { gsub("\"", "", $2); printf("include %s\n", $2); next; }
/^.ifdef/ { gsub("\"", "", $2); printf("ifdef %s\n", $2); next; }
/^.endif/ { print("endif\n"); next; }

# Else, don't molest it
{ print($0); }
