/*
 * free_imgent_pp.c
 * Free a IMGENT ** list
 * bgrot project
 * $Fuller: myprograms/bgrot/common/mem/free_imgent_pp.c,v 1.3 2003/03/23 14:53:37 fullermd Exp $
 */

#include <stdlib.h>

#include <bgrot.h>
#ifdef BGROTD
#include <bgrotd.h>
#endif


/* free_imgent_pp(): Free a IMGENT ** list */
void
free_imgent_pp(IMGENT **tofree, int numimgs)
{
	int i;

	if(tofree == NULL)
		return;

	for(i=0 ; ( (tofree[i] != NULL) && (i < numimgs) ) ; i++)
		free_imgent(tofree[i]);
	free(tofree);
}
