/*
 * free_imglist.c
 * Free a IMGLIST struct
 * bgrot project
 * $Fuller: myprograms/bgrot/common/mem/free_imglist.c,v 1.6 2003/03/23 14:53:37 fullermd Exp $
 */

#include <stdlib.h>

#include <bgrot.h>
#ifdef BGROTD
#include <bgrotd.h>
#endif


/* free_imglist(): Free a IMGLIST struct */
void
free_imglist(IMGLIST *tofree)
{
	if(tofree == NULL)
		return;

	free_imgent_pp(tofree->imgs, tofree->img_used);

	if(tofree->conf != NULL)
		free_ilconf(tofree->conf);

	free(tofree->title);
	free(tofree->longdesc);
	free(tofree);
}
