/*
 * free_lindex.c
 * Free a LINDEX struct
 * bgrot project
 * $Fuller: myprograms/bgrot/common/mem/free_lindex.c,v 1.5 2003/03/23 14:53:38 fullermd Exp $
 */

#include <stdlib.h>

#include <bgrot.h>
#ifdef BGROTD
#include <bgrotd.h>
#endif


/* free_lindex(): Free a LINDEX struct */
void
free_lindex(LINDEX *tofree)
{
	int i;

	if(tofree == NULL)
		return;

	if(tofree->lists != NULL)
	{
		for(i=0 ; i<tofree->lists_used ; i++)
			free_index_ent((tofree->lists)[i]);
		free(tofree->lists);
	}

	free(tofree);
}
