/*
 * bg_daemon.c
 * Our own little daemon-izing function
 * bgrot project
 * $Fuller: myprograms/bgrot/server/util/bg_daemon.c,v 1.3 2003/03/09 09:26:10 fullermd Exp $
 */

#include <sys/stat.h>
#include <sys/types.h>
#include <stdlib.h>
#include <unistd.h>

#include <bgrot.h>
#include <bgrotd.h>

/* bg_daemon(): Daemon-ize ourselves */
int
bg_daemon(void)
{

	switch(fork())
	{
		case -1:
			/* Error */
			return(-1);
		case 0:
			/* We're the kid */
			break;
		default:
			/* We're the parent */
			exit(0);
	}

	if(setsid() == -1)
		return(-1);
	
	if(chdir("/") == -1)
		return(-1);
	
	umask(0);

	/* Success! */
	return(0);
}
